| unix-2.3.0.1: POSIX functionality | Source code | Contents | Index
System.Posix.Resource |
Portability | non-portable (requires POSIX)
Stability | provisional
Maintainer | libraries@haskell.org
Contents
Resource Limits
Description
POSIX resource support
Synopsis
data ResourceLimit
= ResourceLimitInfinity
| ResourceLimitUnknown
| ResourceLimit Integer
data ResourceLimits = ResourceLimits {
softLimit, hardLimit :: ResourceLimit
}
data Resource
= ResourceCoreFileSize
| ResourceCPUTime
| ResourceDataSize
| ResourceFileSize
| ResourceOpenFiles
| ResourceStackSize
| ResourceTotalMemory
getResourceLimit :: Resource -> IO ResourceLimits
setResourceLimit :: Resource -> ResourceLimits -> IO ()
Resource Limits
data ResourceLimit | Source
Constructors
ResourceLimitInfinity |
ResourceLimitUnknown |
ResourceLimit Integer |
Instances
Eq ResourceLimit
data ResourceLimits | Source
Constructors
ResourceLimits |
softLimit, hardLimit :: ResourceLimit |
Instances
Eq ResourceLimits
data Resource | Source
Constructors
ResourceCoreFileSize |
ResourceCPUTime |
ResourceDataSize |
ResourceFileSize |
ResourceOpenFiles |
ResourceStackSize |
ResourceTotalMemory |
Instances
Eq Resource
getResourceLimit :: Resource -> IO ResourceLimits | Source
setResourceLimit :: Resource -> ResourceLimits -> IO () | Source
Produced by Haddock version 0.9